Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162276 - evolution crashes (fifth time today)
Summary: evolution crashes (fifth time today)
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Malcolm
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-01 20:57 UTC by Need Real Name
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-03 11:17:21 UTC


Attachments (Terms of Use)
gdb thread apply all bt (deleted)
2005-07-02 12:27 UTC, Need Real Name
no flags Details

Description Need Real Name 2005-07-01 20:57:00 UTC
Here is the bugbuddy backtrace. I think I was moving a message to another folder.

backtrace using bugbuddy:
Backtrace was generated from '/usr/bin/evolution'

Using host libthread_db library "/lib/i686/nosegneg/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread -1208330560 (LWP 2356)]
[New Thread -1352291408 (LWP 2478)]
[New Thread -1331311696 (LWP 2476)]
[New Thread -1310172240 (LWP 2375)]
[New Thread -1299682384 (LWP 2374)]
[New Thread -1250075728 (LWP 2372)]
0x00139402 in ?? ()
#0  0x00139402 in ?? ()
#1  0x0038e14b in __waitpid_nocancel ()
   from /lib/i686/nosegneg/libpthread.so.0
#2  0x045ef080 in libgnomeui_segv_handle (signum=-512) at gnome-ui-init.c:741
#3  0x08063565 in segv_redirect (sig=11) at main.c:428
#4  <signal handler called>
#5  0x047e92d9 in e_canvas_hide_tooltip () from /usr/lib/libgal-2.4.so.0
#6  0x0481fca1 in e_table_item_get_printable () from /usr/lib/libgal-2.4.so.0
#7  0x007c6bb1 in g_object_unref () from /usr/lib/libgobject-2.0.so.0
#8  0x007c75c2 in g_object_run_dispose () from /usr/lib/libgobject-2.0.so.0
#9  0x043b2fef in gtk_object_destroy () from /usr/lib/libgtk-x11-2.0.so.0
#10 0x03dfedf9 in gnome_canvas_item_request_update ()
   from /usr/lib/libgnomecanvas-2.so.0
#11 0x007d1017 in g_cclosure_marshal_VOID__VOID ()
   from /usr/lib/libgobject-2.0.so.0
#12 0x007c3f8b in g_cclosure_new_swap () from /usr/lib/libgobject-2.0.so.0
#13 0x007c4475 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#14 0x007d4681 in g_signal_stop_emission () from /usr/lib/libgobject-2.0.so.0
#15 0x007d5bc8 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#16 0x007d5f19 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#17 0x043b305f in gtk_object_destroy () from /usr/lib/libgtk-x11-2.0.so.0
#18 0x03e040f0 in gnome_canvas_item_raise ()
   from /usr/lib/libgnomecanvas-2.so.0
#19 0x007c75ba in g_object_run_dispose () from /usr/lib/libgobject-2.0.so.0
#20 0x043b2fef in gtk_object_destroy () from /usr/lib/libgtk-x11-2.0.so.0
#21 0x03dfff78 in gnome_canvas_item_i2c_affine ()
   from /usr/lib/libgnomecanvas-2.so.0
#22 0x007d1017 in g_cclosure_marshal_VOID__VOID ()
   from /usr/lib/libgobject-2.0.so.0
#23 0x007c3f8b in g_cclosure_new_swap () from /usr/lib/libgobject-2.0.so.0
#24 0x007c4475 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#25 0x007d4681 in g_signal_stop_emission () from /usr/lib/libgobject-2.0.so.0
#26 0x007d5bc8 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#27 0x007d5f19 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#28 0x043b305f in gtk_object_destroy () from /usr/lib/libgtk-x11-2.0.so.0
#29 0x0448e23a in gtk_widget_hide_on_delete ()
   from /usr/lib/libgtk-x11-2.0.so.0
#30 0x047e9538 in e_canvas_popup_tooltip () from /usr/lib/libgal-2.4.so.0
#31 0x007c75ba in g_object_run_dispose () from /usr/lib/libgobject-2.0.so.0
#32 0x043b2fef in gtk_object_destroy () from /usr/lib/libgtk-x11-2.0.so.0
#33 0x0448541a in gtk_widget_destroy () from /usr/lib/libgtk-x11-2.0.so.0
#34 0x0484a2c1 in e_tree_drag_source_unset () from /usr/lib/libgal-2.4.so.0
#35 0x007c75ba in g_object_run_dispose () from /usr/lib/libgobject-2.0.so.0
#36 0x043b2fef in gtk_object_destroy () from /usr/lib/libgtk-x11-2.0.so.0
#37 0x0448541a in gtk_widget_destroy () from /usr/lib/libgtk-x11-2.0.so.0
#38 0x042b5055 in gtk_bin_get_type () from /usr/lib/libgtk-x11-2.0.so.0
#39 0x043d78f9 in gtk_scrolled_window_get_shadow_type ()
   from /usr/lib/libgtk-x11-2.0.so.0
#40 0x042f8a9a in gtk_container_foreach () from /usr/lib/libgtk-x11-2.0.so.0
#41 0x042fac06 in gtk_container_unset_focus_chain ()
   from /usr/lib/libgtk-x11-2.0.so.0
#42 0x043d7520 in gtk_scrolled_window_get_shadow_type ()
   from /usr/lib/libgtk-x11-2.0.so.0
#43 0x0104aff2 in message_list_destroy (object=0x8bc32a8)
    at message-list.c:1908
#44 0x007d1017 in g_cclosure_marshal_VOID__VOID ()
   from /usr/lib/libgobject-2.0.so.0
#45 0x007c3f8b in g_cclosure_new_swap () from /usr/lib/libgobject-2.0.so.0
#46 0x007c4475 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#47 0x007d4681 in g_signal_stop_emission () from /usr/lib/libgobject-2.0.so.0
#48 0x007d5bc8 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#49 0x007d5f19 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#50 0x043b305f in gtk_object_destroy () from /usr/lib/libgtk-x11-2.0.so.0
#51 0x0448e23a in gtk_widget_hide_on_delete ()
   from /usr/lib/libgtk-x11-2.0.so.0
#52 0x007c75ba in g_object_run_dispose () from /usr/lib/libgobject-2.0.so.0
#53 0x043b2fef in gtk_object_destroy () from /usr/lib/libgtk-x11-2.0.so.0
#54 0x0448541a in gtk_widget_destroy () from /usr/lib/libgtk-x11-2.0.so.0
#55 0x01023393 in emmb_destroy (o=0x8bc66a0) at em-message-browser.c:104
#56 0x007d1017 in g_cclosure_marshal_VOID__VOID ()
   from /usr/lib/libgobject-2.0.so.0
#57 0x007c3f8b in g_cclosure_new_swap () from /usr/lib/libgobject-2.0.so.0
#58 0x007c4475 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#59 0x007d4681 in g_signal_stop_emission () from /usr/lib/libgobject-2.0.so.0
#60 0x007d5bc8 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#61 0x007d5f19 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#62 0x043b305f in gtk_object_destroy () from /usr/lib/libgtk-x11-2.0.so.0
#63 0x0448e23a in gtk_widget_hide_on_delete ()
   from /usr/lib/libgtk-x11-2.0.so.0
#64 0x007c75ba in g_object_run_dispose () from /usr/lib/libgobject-2.0.so.0
#65 0x043b2fef in gtk_object_destroy () from /usr/lib/libgtk-x11-2.0.so.0
#66 0x0448541a in gtk_widget_destroy () from /usr/lib/libgtk-x11-2.0.so.0
#67 0x009f5968 in bonobo_dock_get_type () from /usr/lib/libbonoboui-2.so.0
#68 0x042f8a9a in gtk_container_foreach () from /usr/lib/libgtk-x11-2.0.so.0
#69 0x042fac06 in gtk_container_unset_focus_chain ()
   from /usr/lib/libgtk-x11-2.0.so.0
#70 0x007d1017 in g_cclosure_marshal_VOID__VOID ()
   from /usr/lib/libgobject-2.0.so.0
#71 0x007c3f8b in g_cclosure_new_swap () from /usr/lib/libgobject-2.0.so.0
#72 0x007c4475 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#73 0x007d4681 in g_signal_stop_emission () from /usr/lib/libgobject-2.0.so.0
#74 0x007d5bc8 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#75 0x007d5f19 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#76 0x043b305f in gtk_object_destroy () from /usr/lib/libgtk-x11-2.0.so.0
#77 0x0448e23a in gtk_widget_hide_on_delete ()
   from /usr/lib/libgtk-x11-2.0.so.0
#78 0x007c75ba in g_object_run_dispose () from /usr/lib/libgobject-2.0.so.0
#79 0x043b2fef in gtk_object_destroy () from /usr/lib/libgtk-x11-2.0.so.0
#80 0x0448541a in gtk_widget_destroy () from /usr/lib/libgtk-x11-2.0.so.0
#81 0x042b8a66 in gtk_box_reorder_child () from /usr/lib/libgtk-x11-2.0.so.0
#82 0x042f8a9a in gtk_container_foreach () from /usr/lib/libgtk-x11-2.0.so.0
#83 0x042fac06 in gtk_container_unset_focus_chain ()
   from /usr/lib/libgtk-x11-2.0.so.0
#84 0x007d1017 in g_cclosure_marshal_VOID__VOID ()
   from /usr/lib/libgobject-2.0.so.0
#85 0x007c3f8b in g_cclosure_new_swap () from /usr/lib/libgobject-2.0.so.0
#86 0x007c4475 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#87 0x007d4681 in g_signal_stop_emission () from /usr/lib/libgobject-2.0.so.0
#88 0x007d5bc8 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#89 0x007d5f19 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#90 0x043b305f in gtk_object_destroy () from /usr/lib/libgtk-x11-2.0.so.0
#91 0x0448e23a in gtk_widget_hide_on_delete ()
   from /usr/lib/libgtk-x11-2.0.so.0
#92 0x007c75ba in g_object_run_dispose () from /usr/lib/libgobject-2.0.so.0
#93 0x043b2fef in gtk_object_destroy () from /usr/lib/libgtk-x11-2.0.so.0
#94 0x0448541a in gtk_widget_destroy () from /usr/lib/libgtk-x11-2.0.so.0
#95 0x042b5055 in gtk_bin_get_type () from /usr/lib/libgtk-x11-2.0.so.0
#96 0x042f8a9a in gtk_container_foreach () from /usr/lib/libgtk-x11-2.0.so.0
#97 0x042fac06 in gtk_container_unset_focus_chain ()
   from /usr/lib/libgtk-x11-2.0.so.0
#98 0x0449d45a in gtk_window_set_transient_for ()
   from /usr/lib/libgtk-x11-2.0.so.0
#99 0x007d1017 in g_cclosure_marshal_VOID__VOID ()
   from /usr/lib/libgobject-2.0.so.0
#100 0x007c3f8b in g_cclosure_new_swap () from /usr/lib/libgobject-2.0.so.0
#101 0x007c4475 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#102 0x007d4681 in g_signal_stop_emission () from /usr/lib/libgobject-2.0.so.0
#103 0x007d5bc8 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#104 0x007d5f19 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#105 0x043b305f in gtk_object_destroy () from /usr/lib/libgtk-x11-2.0.so.0
#106 0x0448e23a in gtk_widget_hide_on_delete ()
   from /usr/lib/libgtk-x11-2.0.so.0
#107 0x044959e6 in gtk_window_remove_embedded_xid ()
   from /usr/lib/libgtk-x11-2.0.so.0
#108 0x00a26bed in bonobo_window_get_contents ()
   from /usr/lib/libbonoboui-2.so.0
#109 0x007c75ba in g_object_run_dispose () from /usr/lib/libgobject-2.0.so.0
#110 0x043b2fef in gtk_object_destroy () from /usr/lib/libgtk-x11-2.0.so.0
#111 0x0448541a in gtk_widget_destroy () from /usr/lib/libgtk-x11-2.0.so.0
#112 0x0438f4da in gtk_main_do_event () from /usr/lib/libgtk-x11-2.0.so.0
#113 0x03f44015 in gdk_screen_get_setting () from /usr/lib/libgdk-x11-2.0.so.0
#114 0x0074cf3e in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#115 0x0074ff46 in g_main_context_check () from /usr/lib/libglib-2.0.so.0
#116 0x00750233 in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#117 0x00d7b625 in bonobo_main () from /usr/lib/libbonobo-2.so.0
#118 0x080639c0 in main (argc=144060880, argv=0xbf9abfa4) at main.c:610

Thread 6 (Thread -1250075728 (LWP 2372)):
#0  0x00139402 in ?? ()
No symbol table info available.
#1  0x0038a806 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib/i686/nosegneg/libpthread.so.0
No symbol table info available.
#2  0x046573c7 in e_msgport_wait () from /usr/lib/libedataserver-1.2.so.4
No symbol table info available.
#3  0x04657abd in e_thread_busy () from /usr/lib/libedataserver-1.2.so.4
No symbol table info available.
#4  0x00388bbf in start_thread () from /lib/i686/nosegneg/libpthread.so.0
No symbol table info available.
#5  0x00c63fbe in clone () from /lib/i686/nosegneg/libc.so.6
No symbol table info available.

Thread 5 (Thread -1299682384 (LWP 2374)):
#0  0x00139402 in ?? ()
No symbol table info available.
#1  0x0038a806 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib/i686/nosegneg/libpthread.so.0
No symbol table info available.
#2  0x046573c7 in e_msgport_wait () from /usr/lib/libedataserver-1.2.so.4
No symbol table info available.
#3  0x04657abd in e_thread_busy () from /usr/lib/libedataserver-1.2.so.4
No symbol table info available.
#4  0x00388bbf in start_thread () from /lib/i686/nosegneg/libpthread.so.0
No symbol table info available.
#5  0x00c63fbe in clone () from /lib/i686/nosegneg/libc.so.6
No symbol table info available.

Thread 4 (Thread -1310172240 (LWP 2375)):
#0  0x00139402 in ?? ()
No symbol table info available.
#1  0x0038a806 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib/i686/nosegneg/libpthread.so.0
No symbol table info available.
#2  0x046573c7 in e_msgport_wait () from /usr/lib/libedataserver-1.2.so.4
No symbol table info available.
#3  0x04657abd in e_thread_busy () from /usr/lib/libedataserver-1.2.so.4
No symbol table info available.
#4  0x00388bbf in start_thread () from /lib/i686/nosegneg/libpthread.so.0
No symbol table info available.
#5  0x00c63fbe in clone () from /lib/i686/nosegneg/libc.so.6
No symbol table info available.

Thread 3 (Thread -1331311696 (LWP 2476)):
#0  0x00139402 in ?? ()
No symbol table info available.
#1  0x0038a806 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib/i686/nosegneg/libpthread.so.0
No symbol table info available.
#2  0x046573c7 in e_msgport_wait () from /usr/lib/libedataserver-1.2.so.4
No symbol table info available.
#3  0x04657abd in e_thread_busy () from /usr/lib/libedataserver-1.2.so.4
No symbol table info available.
#4  0x00388bbf in start_thread () from /lib/i686/nosegneg/libpthread.so.0
No symbol table info available.
#5  0x00c63fbe in clone () from /lib/i686/nosegneg/libc.so.6
No symbol table info available.

Thread 2 (Thread -1352291408 (LWP 2478)):
#0  0x00139402 in ?? ()
No symbol table info available.
#1  0x0038a806 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib/i686/nosegneg/libpthread.so.0
No symbol table info available.
#2  0x046573c7 in e_msgport_wait () from /usr/lib/libedataserver-1.2.so.4
No symbol table info available.
#3  0x04657abd in e_thread_busy () from /usr/lib/libedataserver-1.2.so.4
No symbol table info available.
#4  0x00388bbf in start_thread () from /lib/i686/nosegneg/libpthread.so.0
No symbol table info available.
#5  0x00c63fbe in clone () from /lib/i686/nosegneg/libc.so.6
No symbol table info available.

Thread 1 (Thread -1208330560 (LWP 2356)):
#0  0x00139402 in ?? ()
No symbol table info available.
#1  0x0038e14b in __waitpid_nocancel ()
   from /lib/i686/nosegneg/libpthread.so.0
No symbol table info available.
#2  0x045ef080 in libgnomeui_segv_handle (signum=-512) at gnome-ui-init.c:741
	estatus = 8252252
	in_segv = 1
	sa = {__sigaction_handler = {sa_handler = 0, sa_sigaction = 0}, 
  sa_mask = {__val = {0, 1, 3214577948, 3214577692, 3709674, 3214577528, 
      8349480, 249, 144017256, 3214578136, 8214456, 8360628, 146905552, 
      3214578152, 8214456, 8360628, 3214577732, 3214577684, 146906384, 0, 
      141217272, 26906552, 8247147, 0, 141217200, 0, 0, 2, 4637, 0, 
      141217320, 146906384}}, sa_flags = 146906384, sa_restorer = 0xbf9a8fe8}
	pid =

Comment 1 Need Real Name 2005-07-01 21:09:50 UTC
Make that 7 times. Possibly related to bug 162266.

Comment 2 Need Real Name 2005-07-02 12:27:09 UTC
Created attachment 116288 [details]
gdb thread apply all bt

Evolution crashes on startup now.

Comment 3 Need Real Name 2005-07-03 10:32:30 UTC
I think this is a glibc problem, my fault. I will close the bug later if it is,
otherwise I'll add a new comment.

Comment 4 Need Real Name 2005-07-03 11:17:21 UTC
The problem was a stray library from rawhide. Sorry about that.


Note You need to log in before you can comment on or make changes to this bug.